Bug 168357 - irnetd and irpsion5 are not included in the irda-utils rpm
irnetd and irpsion5 are not included in the irda-utils rpm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: irda-utils (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-15 07:48 EDT by Paul Bolle
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 10:53:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Bolle 2005-09-15 07:48:41 EDT
Description of problem:
irnetd and irpsion5 are not included in irda-utils-0.9.16-7.i386.rpm. (Note that
both their manpages are included.) 

Version-Release number of selected component (if applicable):
irda-utils-0.9.16-7.i386.rpm

How reproducible:
always

Steps to Reproduce:
1. n/a (but try: rpmbuild -bb $SPECS/irda-utils.spec)
2.
3.
  
Actual results:
n/a

Expected results:
n/a

Additional info:
This seems to be caused by problems in their Makefiles.

no "install" rule in irnetd/Makefile:
(...)
make[1]: Entering directory `/home/peb/.redhat/BUILD/irda-utils-0.9.16/irnetd'
make[1]: *** No rule to make target `install'.  Stop.
make[1]: Leaving directory `/home/peb/.redhat/BUILD/irda-utils-0.9.16/irnetd'
(...)

psion/Makefile doesn't seem to include include/irda.h:
(...)
make[1]: Entering directory `/home/peb/.redhat/BUILD/irda-utils-0.9.16/psion'
cc -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386
-mtune=pentium4 -fasynchronous-unwind-tables    irpsion5.c   -o irpsion5
irpsion5.c:47:18: error: irda.h: No such file or directory
irpsion5.c: In function 'discover_devices':
irpsion5.c:91: error: invalid application of 'sizeof' to incomplete type 'struct
irda_device_list'
irpsion5.c:92: error: invalid application of 'sizeof' to incomplete type 'struct
irda_device_info'
irpsion5.c:104: error: 'SOL_IRLMP' undeclared (first use in this function)
irpsion5.c:104: error: (Each undeclared identifier is reported only once
irpsion5.c:104: error: for each function it appears in.)
irpsion5.c:104: error: 'IRLMP_ENUMDEVICES' undeclared (first use in this function)
irpsion5.c:104: warning: pointer targets in passing argument 5 of 'getsockopt'
differ in signedness
irpsion5.c:129: error: dereferencing pointer to incomplete type
irpsion5.c:130: error: dereferencing pointer to incomplete type
irpsion5.c:131: error: dereferencing pointer to incomplete type
irpsion5.c:132: error: dereferencing pointer to incomplete type
irpsion5.c:132: error: dereferencing pointer to incomplete type
irpsion5.c:132: error: dereferencing pointer to incomplete type
irpsion5.c:132: error: dereferencing pointer to incomplete type
irpsion5.c:132: error: dereferencing pointer to incomplete type
irpsion5.c:144: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:145: error: dereferencing pointer to incomplete type
irpsion5.c:147: error: dereferencing pointer to incomplete type
irpsion5.c:148: error: dereferencing pointer to incomplete type
irpsion5.c:151: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:152: error: dereferencing pointer to incomplete type
irpsion5.c:154: error: dereferencing pointer to incomplete type
irpsion5.c:155: error: dereferencing pointer to incomplete type
irpsion5.c:159: error: dereferencing pointer to incomplete type
irpsion5.c:160: error: dereferencing pointer to incomplete type
irpsion5.c: In function 'irttp_get_mtu':
irpsion5.c:168: error: 'SOL_IRLMP' undeclared (first use in this function)
irpsion5.c:168: error: 'IRTTP_MAX_SDU_SIZE' undeclared (first use in this function)
irpsion5.c:169: warning: pointer targets in passing argument 5 of 'getsockopt'
differ in signedness
irpsion5.c: In function 'sendfile':
irpsion5.c:180: error: storage size of 'peer' isn't known
irpsion5.c:211: error: invalid application of 'sizeof' to incomplete type
'struct sockaddr_irda'
irpsion5.c: In function 'receivefile':
irpsion5.c:578: error: invalid application of 'sizeof' to incomplete type
'struct sockaddr_irda'
irpsion5.c:580: error: storage size of 'peer' isn't known
irpsion5.c:593: error: 'LSAP_ANY' undeclared (first use in this function)
irpsion5.c:595: error: invalid application of 'sizeof' to incomplete type
'struct sockaddr_irda'
irpsion5.c:607: warning: pointer targets in passing argument 3 of 'accept'
differ in signedness
make[1]: *** [irpsion5] Error 1
make[1]: Leaving directory `/home/peb/.redhat/BUILD/irda-utils-0.9.16/psion'
(...)
make[1]: Entering directory `/home/peb/.redhat/BUILD/irda-utils-0.9.16/psion'
install irpsion5 /home/peb/.redhat/TMP/irda-utils-root/usr/bin
install: cannot stat `irpsion5': No such file or directory
make[1]: *** [install] Error 1
make[1]: Leaving directory `/home/peb/.redhat/BUILD/irda-utils-0.9.16/psion'
(...)

If needed, I'm willing to try to write the (possibly trivial) patch needed to
correct this.

Note You need to log in before you can comment on or make changes to this bug.